// ptr_vector.cpp - Definición de la clase Ptr_CVector
#include <iostream>
#include "ptr_vector.h"
using namespace std;

Ptr_CVector::Ptr_CVector(int n)
{
  p.pVector = new CVector *[n];
  p.nElementos = n;
  fill(p.pVector, p.pVector+n, static_cast<CVector *>(0));
}

Ptr_CVector::~Ptr_CVector()
{
  delete [] p.pVector;
}

